> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/api-reference/databases/v2-1/versions/retrieve-mariadbversion.md).

# Retrieve MariadbVersion

Returns the MariadbVersion by ID.

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD DBaaS MariaDB","version":"2.0.0"},"tags":[{"name":"Versions","description":"Retrieve supported MariaDB versions and their lifecycle status through the IONOS CLOUD API.\nThis tag groups all operations for versions.\n"}],"servers":[{"url":"https://mariadb.de-txl.ionos.com/v2","description":"Germany, Berlin"},{"url":"https://mariadb.de-fra.ionos.com/v2","description":"Germany, Frankfurt (de-fra)"},{"url":"https://mariadb.fr-par.ionos.com/v2","description":"France, Paris"},{"url":"https://mariadb.es-vit.ionos.com/v2","description":"Spain, Logroño"},{"url":"https://mariadb.gb-lhr.ionos.com/v2","description":"United Kingdom, London"},{"url":"https://mariadb.gb-bhx.ionos.com/v2","description":"United Kingdom, Worcester"},{"url":"https://mariadb.us-las.ionos.com/v2","description":"United States, Las Vegas"},{"url":"https://mariadb.us-mci.ionos.com/v2","description":"United States, Lenexa"},{"url":"https://mariadb.us-ewr.ionos.com/v2","description":"United States, Newark"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"The token can be generated using the \n[Authentication API](https://api.ionos.com/docs/authentication/v1/#tag/tokens/operation/tokensGenerate).\n"}},"schemas":{"MariadbVersionRead":{"type":"object","required":["id","type","href","metadata","properties"],"properties":{"id":{"type":"string","description":"The ID (UUID) of the MariadbVersion.","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["mariadbversion"]},"href":{"description":"The URL of the MariadbVersion.","type":"string"},"metadata":{"$ref":"#/components/schemas/NoMetadata"},"properties":{"$ref":"#/components/schemas/MariadbVersion"}}},"NoMetadata":{"type":"object","additionalProperties":false,"readOnly":true},"MariadbVersion":{"type":"object","description":"MariaDB version.","properties":{"version":{"$ref":"#/components/schemas/MariadbClusterVersion"},"creationFreezeDate":{"type":"string","format":"date-time","description":"Creation freeze date."},"deprecationDate":{"type":"string","format":"date-time","description":"Deprecation date."},"status":{"type":"string","description":"The support status of the version."},"comment":{"type":"string","description":"Additional information about the version status."},"canUpgradeTo":{"type":"array","description":"List of versions that a cluster running this version can be upgraded to.\nOnly versions in this list are accepted when updating the version field via PUT.\n","items":{"$ref":"#/components/schemas/MariadbClusterVersion"}}}},"MariadbClusterVersion":{"type":"string","description":"The MariaDB version for the cluster. Use GET /versions to retrieve the\nlist of supported versions. To upgrade, provide a version listed in\ncanUpgradeTo for the current version. Downgrades are not supported.\n"},"Error":{"description":"The Error object is used to represent an error response from the API.\n","type":"object","properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","description":"A list of error messages.\n","items":{"type":"object","properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}}}}}}},"responses":{"BadRequest":{"description":"### Bad Request\nThe request send to the API was malformed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"### Unauthorized\nThe request is missing authorization information or the authorization information provided are expired.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotAllowed":{"description":"### Not Allowed\nThe user issuing the request does not have the needed permissions.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"### Not Found\nThe resource that was requested could not be found.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"TooManyRequests":{"description":"### Too Many Requests\nThe user has sent too many requests in a given amount of time.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalError":{"description":"### Internal Server Error\nAn internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"ServiceUnavailable":{"description":"### Service Unavailable\nThe server is currently unable to handle the request due to a temporary overloading or maintenance of the server.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnexpectedError":{"description":"### Unexpected Internal Server Error\nAn unexpected internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/versions/{versionId}":{"get":{"operationId":"versionsFindById","summary":"Retrieve MariadbVersion","tags":["Versions"],"description":"Returns the MariadbVersion by ID.","parameters":[{"name":"versionId","in":"path","schema":{"type":"string","format":"uuid"},"required":true,"description":"The ID (UUID) of the MariadbVersion."}],"responses":{"200":{"description":"Getting MariadbVersion was successful.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MariadbVersionRead"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/NotAllowed"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/ServiceUnavailable"},"default":{"$ref":"#/components/responses/UnexpectedError"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/api-reference/databases/v2-1/versions/retrieve-mariadbversion.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
